﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Info2Praktikum;

namespace _2011_05_04_Praktikum
{
    public partial class MainWindow : Window
    {
        Microsoft.Win32.OpenFileDialog dialog = new Microsoft.Win32.OpenFileDialog();

        public MainWindow()
        {
            InitializeComponent();

            dialog.Filter = "JPEG-Dateien|*.jpg|PNG-Dateien|*.png|BMP-Dateien|*.png";

            listBoxFilter.Items.Add(new Inverter());
            listBoxFilter.Items.Add(new HorizontalFlipper());
            listBoxFilter.Items.Add(new BrightnessAdjuster(1.5));
            listBoxFilter.Items.Add(new BrightnessAdjuster(0.5));
            listBoxFilter.Items.Add(new Cropper(0, 0, 10, 10));
            listBoxFilter.Items.Add(new Cropper(200, 200, 100, 100));
        }

        private void buttonLoad_Click(object sender, RoutedEventArgs e)
        {
            bool? result = dialog.ShowDialog();
            if (result.HasValue && result.Value)
            {
                Bitmap b = new Bitmap(dialog.FileName);

                for (int i = 0; i < listBoxFilter.SelectedItems.Count; i++)
                {
                    b = ((Filter)listBoxFilter.SelectedItems[i]).Execute(b);
                }

                image.Source = b.GetImage();
            }
        }
    }
}
